# Getters

Description of all getters

* `getAllPendingStakes`  - it is returning array of all stakes that are waiting to be finalised
* `deposited` - it is returning the deposited amount for specific stake
* `pending` - it is returning the amount that user earned for specific stake&#x20;
* `depositTimestamp` - returning timestamp when specific stake was deposited
* `withdrawTimestamp` - returning timestamp when is the last time when was stake consumed
* `totalPending` - how much was given rewards from beginning till now
* `getNumberOfUserStakes` - number of stakes for user
* `getUserStakesAndPendingAmounts` - it is returning all stakes and all pending amounts for all of the stakes for user

```solidity
* @return array of deposits,pendingAmounts,depositTime and warmupExpirations
```

* getTotalRewardsLockedUnlocked - it is returning rewards that are locked and unlocked
* getStatsForUser - it is returning all necessary info for user

```solidity
* @return totalStakedCurrently
* @return totalEarnedForLifeTime
* @return currentPendingAmount
* @return currentBalanceToWithdraw
```

## List of all getters with their signature

```solidity
function getAllPendingStakes()
function deposited(address _user,uint256 stakeId)
function pending(address _user,uint256 stakeId)
function depositTimestamp(address _user,uint256 stakeId)
function withdrawTimestamp(address _user,uint256 stakeId)
function totalPending()
function getNumberOfUserStakes(address user)
function getUserStakesAndPendingAmounts(address user)
function getTotalRewardsLockedUnlocked()
function getStatsForUser(address _user)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tokensfarm.com/for-developers/tokensfarmsdk/getters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
